List recipients
curl --request GET \
--url https://developer.haulstow.co/v1/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.haulstow.co/v1/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.haulstow.co/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.haulstow.co/v1/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://developer.haulstow.co/v1/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://developer.haulstow.co/v1/recipients")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.haulstow.co/v1/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "OK",
"data": [
{
"id": "rcp_3f1a821cdb58498cbb52f4706545a089",
"phone_number": "+233245412312",
"name": "Ama Mensah",
"created_at": "2026-08-20T14:20:00Z",
"updated_at": "2026-08-20T14:20:00Z"
}
],
"meta": {
"limit": 25,
"has_more": false,
"next_cursor": null
}
}Recipients
List recipients
Returns the authenticated business’s recipient directory using opaque cursor pagination.
GET
/
recipients
List recipients
curl --request GET \
--url https://developer.haulstow.co/v1/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.haulstow.co/v1/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.haulstow.co/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.haulstow.co/v1/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://developer.haulstow.co/v1/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://developer.haulstow.co/v1/recipients")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.haulstow.co/v1/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "OK",
"data": [
{
"id": "rcp_3f1a821cdb58498cbb52f4706545a089",
"phone_number": "+233245412312",
"name": "Ama Mensah",
"created_at": "2026-08-20T14:20:00Z",
"updated_at": "2026-08-20T14:20:00Z"
}
],
"meta": {
"limit": 25,
"has_more": false,
"next_cursor": null
}
}Authorizations
A business-bound HaulStow API key. Send
Authorization: Bearer hsg_live_key_... to the live server or a
hsg_test_key_... key to the sandbox server. Never expose this key in a browser.
Headers
Optional caller correlation ID. Use 1–128 ASCII letters, digits, ., _,
-, or :. Invalid values are replaced. The accepted/generated value is
returned in the response.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9._:-]+$Query Parameters
Opaque cursor returned as meta.next_cursor. Do not construct or modify it.
Maximum string length:
512Number of resources to return.
Required range:
1 <= x <= 100Match recipient name or phone number.
Maximum string length:
128Match one normalized E.164 phone number.
Pattern:
^\+[1-9][0-9]{7,14}$